Bug 892372 - DeviceCreateError: ("Can't have overlapping partitions.", 'vdc1')
DeviceCreateError: ("Can't have overlapping partitions.", 'vdc1')
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 17:40 EST by Reartes Guillermo
Modified: 2014-02-05 09:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:28:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-tb (1.46 MB, application/octet-stream)
2013-01-06 17:40 EST, Reartes Guillermo
no flags Details
anaconda.log (81.00 KB, text/plain)
2013-01-06 17:41 EST, Reartes Guillermo
no flags Details
program.log (58.73 KB, text/plain)
2013-01-06 17:42 EST, Reartes Guillermo
no flags Details
storage.log (878.74 KB, text/plain)
2013-01-06 17:43 EST, Reartes Guillermo
no flags Details
screenshot of manual parititioning (82.55 KB, image/png)
2013-01-06 17:44 EST, Reartes Guillermo
no flags Details
screenshot of the disks (52.44 KB, image/png)
2013-01-06 17:44 EST, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2013-01-06 17:40:50 EST
Created attachment 673553 [details]
anaconda-tb

Description of problem:

Anaconda crashing during installation after manual partitioning.


Version-Release number of selected component (if applicable):
RC1 (18.37.10)

How reproducible:
tried once

Steps to Reproduce:
0. Boot, select 5 disks, manual partitioning scheme btrfs.
1. On the first put lvm /, /boot, swap.
2. On the other 4, put several sub-volumes.  (checked both redundancy and stripe since i have 4 disk).
3. Anaconda accepted the storage configuration but crashing during installation.
  
Actual results:
being able to install or denied the option of such raid options if they do not make sense.

Expected results:
no crash during install, or the rejection of the storage configuration.

Additional info:

This was marked by ABRT as DUP of: Bug 870586 - DeviceCreateError: ("Can't have overlapping partitions.", 'sda2')  [CLOSED ERRATA]

ERROR:

anaconda 18.37.10 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 786, in create
    raise DeviceCreateError(str(e), self.name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 241, in execute
    self.device.create()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
    action.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 323, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 114, in doInstall
    turnOnFilesystems(storage)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
DeviceCreateError: ("Can't have overlapping partitions.", 'vdc1')
Comment 1 Reartes Guillermo 2013-01-06 17:41:17 EST
Created attachment 673554 [details]
anaconda.log
Comment 2 Reartes Guillermo 2013-01-06 17:42:07 EST
Created attachment 673555 [details]
program.log
Comment 3 Reartes Guillermo 2013-01-06 17:43:14 EST
Created attachment 673556 [details]
storage.log
Comment 4 Reartes Guillermo 2013-01-06 17:44:02 EST
Created attachment 673557 [details]
screenshot of manual parititioning
Comment 5 Reartes Guillermo 2013-01-06 17:44:45 EST
Created attachment 673558 [details]
screenshot of the disks
Comment 6 Josh Boyer 2013-01-07 08:48:32 EST
*** Bug 892138 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-12-21 05:13:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 09:29:01 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.